# z\_shieldcoinbase {disallowed} - Zcash

#### Parameters

`fromaddresses` - string

The address is a taddr or "\*" for all taddrs belonging to the wallet.

`toaddresses` - string

The address is a zaddr.

`fee` - numeric

Optional, default=0.00001

The fee amount to attach to this transaction.

`limit` - numeric

Optional, default=50

Limit on the maximum number of utxos to shield. Set to 0 to use as many as will fit in the transaction.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "z_shieldcoinbase",
"params": [null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/zcash-zec/zec_z_shieldcoinbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
